package content

class NetworkInformation(val name: String, val displayName: String, val macAddress: String) {
    var ipV4addr: MutableList<String> = mutableListOf()
    var ipV6addr: MutableList<String> = mutableListOf()
    var bytesSent: Long = 0
    var bytesRecv: Long = 0
    var packetsSent: Long = 0
    var packetsRecv: Long = 0
    var speed: Long = 0 // in bits per second
    var updateStamp : Long = 0  // epoch time in milliseconds, buat hitung speed
    var txSpeed: Long = 0
    var rxSpeed: Long = 0

}